> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/parameter-definition.md).

# Parameter Definition

This object extends the base `Parameter` definition, inheriting its core fields and behaviors.

<table><thead><tr><th width="153">Field</th><th width="161">Data</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td><p>A unique identifier for the parameter definition. </p><p>Example: HPD-1234-5678-9012</p></td></tr><tr><td><code>externalId</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td><p>The optional external ID. </p><p>Example: customer-address</p></td></tr><tr><td><code>revision</code></td><td>uint, core</td><td>Included to support new platform entity revisioning.</td></tr><tr><td><code>account</code></td><td>object, core</td><td>The <a href="/pages/tq2fdEq8olL6Ahrf4HVR"><code>account</code></a> that owns the parameter definition.</td></tr><tr><td><code>name</code></td><td>string, core</td><td>A descriptive name for the parameter. </td></tr><tr><td><code>type</code></td><td>string, core</td><td><p>The parameter's data type. Allowed values are:</p><ul><li><code>singleLineText</code></li><li><code>multiLineText</code></li><li><code>checkbox</code></li><li><code>choice</code></li><li><code>heading</code></li><li><code>dropDown</code></li><li><code>email</code></li><li><code>dataObject</code></li><li><code>date</code></li></ul><p>The available parameter types may vary depending on the parameter’s scope (Form or Case).</p></td></tr><tr><td><code>scope</code></td><td>string, core</td><td>Indicates the scope of the parameter. Allowed values are  <code>form</code> or <code>case</code>.</td></tr><tr><td><code>phase</code></td><td>string, core</td><td>Indicates the phase of the parameter. Allowed values are <code>request</code> or <code>response</code>.</td></tr><tr><td><code>constraints</code></td><td>object, core</td><td>Represents the <a href="/pages/N7g9yHDr5mPIK6AdwAx9"><code>constraints</code></a> object.</td></tr><tr><td><code>displayOrder</code></td><td>integer</td><td>Required for parameters with a scope of <code>case</code>. </td></tr><tr><td><code>statistics</code></td><td>object</td><td><p>Represents the <a href="#parameter-statistics-object"><code>parameterStatistics</code></a> object, which contains statistics about the parameter. </p><p></p><p>Scope: Form</p><pre class="language-json" data-overflow="wrap" data-line-numbers data-full-width="true"><code class="lang-json">{
  groupsCount: 10,
  formsCount: 5
}
</code></pre><p>Scope: Case</p><pre class="language-json" data-overflow="wrap" data-line-numbers data-full-width="true"><code class="lang-json">{
  casesCount: 5
}
</code></pre></td></tr><tr><td><code>audit</code></td><td>object</td><td>Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Parameter Statistics object

<table><thead><tr><th width="180">Field</th><th width="123">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>groupsCount</code></td><td>integer</td><td>(Read‑only) The total number of parameter groups this parameter is linked to. Relevant only for parameters with scope <code>form</code>. Not returned for parameters of type <code>case</code>.</td></tr><tr><td><code>casesCount</code></td><td>integer</td><td>(Read‑only) The total number of cases this parameter is linked to. Relevant only for parameters with scope <code>case</code>. Not returned for parameters of type <code>form</code>.</td></tr><tr><td><code>formsCount</code></td><td>integer</td><td>(Read‑only) The total number of forms this parameter is indirectly linked to. Relevant only for parameters with scope <code>form</code>. Not returned for parameters of type <code>case</code>.</td></tr></tbody></table>

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/parameter-definition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
